import { r as registerInstance, c as createEvent, h, g as getElement } from './chunk-82a2445c.js';
var RouteLink = /** @class */ (function () {
    function RouteLink(hostRef) {
        registerInstance(this, hostRef);
        this.registerRouteLink = createEvent(this, "registerRouteLink", 7);
        this.routeLinkChange = createEvent(this, "routeLinkChange", 7);
    }
    RouteLink.prototype.componentDidLoad = function () {
        this.postRender();
    };
    RouteLink.prototype.componentDidUpdate = function () {
        this.routeLinkChange.emit({ url: this.url, action: this.action, actionParams: this.actionParams });
        this.postRender();
    };
    RouteLink.prototype.postRender = function () {
        this.registerRouteLink.emit({ url: this.url, action: this.action, actionParams: this.actionParams });
    };
    RouteLink.prototype.render = function () {
        return (h("div", null, h("a", { href: '' + this.url }, h("slot", null))));
    };
    Object.defineProperty(RouteLink.prototype, "el", {
        get: function () { return getElement(this); },
        enumerable: true,
        configurable: true
    });
    return RouteLink;
}());
export { RouteLink as ema_route_link };
